> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate a software target count

> Preview how many devices a given targeting would match (platform + globalTarget or a list of device group IDs), without saving anything. Use this before updating a software’s targeting.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /software/simulate-target-count
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /software/simulate-target-count:
    post:
      tags:
        - Softwares
      summary: Simulate a software target count
      description: >-
        Preview how many devices a given targeting would match (platform +
        globalTarget or a list of device group IDs), without saving anything.
        Use this before updating a software’s targeting.
      operationId: simulateSoftwareTargetCount
      parameters: []
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulateSoftwareTargetCount_Output'
components:
  schemas:
    SimulateSoftwareTargetCount_Output:
      type: object
      properties:
        count:
          type: integer
          description: Number of devices matching the targeting criteria
          minimum: 0
          maximum: 9007199254740991
      required:
        - count
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````